Subject: bug#5083 closed by Leo <[email-masked]> (Re: bug#5083: 23.1.50; Eshell | Invalid function: eshell-eval-using-options)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 01 Dec 2009 14:20:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5083: 23.1.50; Eshell | Invalid function: eshell-eval-using-options

It has been closed by Leo <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Leo <[email-masked]> by
replying to this email.

-- 
5083: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5083
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5083: 23.1.50; Eshell | Invalid function: eshell-eval-using-options
From: Leo <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Dec 2009 14:13:53 +0000

On 2009-12-01 11:00 +0000, Michael Albinus wrote:
> Leo <[email-masked]> writes:
>
>> On 2009-11-30 19:20 +0000, Leo wrote:
>>> To reproduce
>>>
>>> 1. emacs -q and M-x eshell
>>>
>>> 2. mkdir test
>>>
>>> "Invalid function: eshell-eval-using-options" will be printed in the
>>> eshell buffer although 'test' is successfully created.
>>
>> Additionally, 'rm somefile' generates
>>
>>     Symbol's value as variable is void: interactive
>>
>> and the file is not removed.
>
> I cannot reproduce it (anymore). I have seen a similar error wrt
> eshell-eval-using-options some days ago; meanwhile it does not happen
> anymore. Maybe you make a fresh checkout, and apply "make bootstrap"?

Indeed this is due to eshell-eval-using-options macro. `em-unix'
requires `esh-opt' to compile otherwise this error is borne. I have
close this bug. Sorry for the false report.

>> Leo
> Best regards, Michael.

Leo

Subject: 23.1.50; Eshell | Invalid function: eshell-eval-using-options
From: Leo <[email-masked]>
To: [email-masked]
Date: Mon, 30 Nov 2009 19:20:14 +0000

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

To reproduce

1. emacs -q and M-x eshell

2. mkdir test

"Invalid function: eshell-eval-using-options" will be printed in the
eshell buffer although 'test' is successfully created.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG.

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
 of 2009-11-27 on victoria.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''